/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */

@font-face {
  font-family: LowerResolution;
  src: url(fonts/LowerResolution.ttf);
}

@font-face {
  font-family: dsBios;
  src: url(fonts/dsBios.ttf);
}

body{
    background-image:url("wallpaper.png");
    background-repeat: repeat;
    background-size: 200px 200px;
}  

.card {
  background-color: rgba(255, 255, 255, 0.6);
  backdrop-filter: blur(5px);
  color: white;
  border-radius: 15px;
}

.mainLayout{
  display: flex;
  gap: 20px;
  align-items: stretch;
  margin-top: 15px;
}

/*---Boxes---*/
.Titlebar {
  font-family: "LowerResolution";
  font-size: 6.7vw;
  text-align: center;
  text-decoration: none;
  letter-spacing: 0.6vw;
  width: 100%;
  height: auto;
  padding: 15px 0px;
  align-content: center;
  display: flex;
  align-items: center;
  justify-content: center;
}

.catalog{
  font-family: "dsBios";
  font-size: 20px;
  padding-left: 15px;
  margin-right: 15px;
}

.content{
  font-family: "dsBios";
  letter-spacing: 2px;
  margin-left: 15px;
}

.otherLinks{
  font-family: "dsBios";
  font-size: 3vw;
  text-align:center;
  letter-spacing: 5px;
  align-content: center;
  justify-content: center;
}

/*---Picture Settings---*/
.profile-pic{
  position: relative;
  top: 0.1em;
  height: 1.2em;
  width: 1.2em;
  border-radius: 20px;
  align-items: center;
  margin-right:15px;
}

.neocities-logo {
  width: auto;
  height: 5vw;
}

.twitch-logo{
  width: auto;
  height: 3vw;
  vertical-align: middle;
}

.youtube-logo{
  width: auto;
  height: 3vw;
  vertical-align: middle;
  margin-bottom: 2px;
}

/*---Containers---*/
.postsContainer{
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  gap: 15px;
}


.catalogContainer{
  min-width: max-content;
  max-width: max-content;
  display: flex;
  justify-content: left;
}

.contentContainer{
  width: auto;
  height: auto;
  display: flex;
  flex-grow: 1;
  flex-wrap: wrap;
}

.linkContainer{
  display: flex;
  justify-content: space-around;
  align-content: center;
  height: 6vw;
  margin-top: 15px;
}

/*---text settings---*/
.Titlebar{
  text-shadow:
    1px  1px 0px #000,
   -1px  1px 0px #000,
    1px -1px 0px #000,
   -1px -1px 0px #000;
}

.Titlebar a{
  color: #5742a1;
}

.catalog, .otherLinks{
  text-shadow: 1px 1px 3px black;
}

.catalog a, .otherLinks a{
  color: #261922;
}

.catalog li{
  list-style-type: none;
  margin: 0;
  margin-bottom: 10px;
  text-align: left;
}

.content{
  color: #261922;
}

.content li{
  font-size: 20px;
}

.content h1, .content h3 .content p{
  margin-bottom: 15px;
}


a {
  text-decoration: none;
}
